<?php
/**
 * Forum Permissions bbPress
 *
 * @package   forum-permissions-bbpress
 * @author    Verdant Studio
 * @copyright 2022 Forum Permissions bbPress
 * @link      https://verdant.studio
 */

declare(strict_types=1);

namespace ForumPermissionsBbpress\Common\Abstracts;

use ForumPermissionsBbpress\Config\Plugin;

/**
 * The Base class which can be extended by other classes to load in default methods
 *
 * @package ForumPermissionsBbpress\Common\Abstracts
 * @since 1.0.0
 */
abstract class Base {

	/**
	 * @var array : will be filled with data from the plugin config class
	 * @see Plugin
	 */
	protected $plugin = array();

	/**
	 * Base constructor.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
		$this->plugin = Plugin::init();
	}
}
