<?php
/**
 * Forum Permissions bbPress
 *
 * @package   forum-permissions-bbpress
 * @author    Verdant Studio
 * @copyright 2022 Forum Permissions bbPress
 * @link      https://verdant.studio
 */

declare(strict_types=1);

namespace ForumPermissionsBbpress\Common\Traits;

/**
 * The singleton skeleton trait to instantiate the class only once
 *
 * @package ForumPermissionsBbpress\Common\Traits
 * @since 1.0.0
 */
trait Singleton
{
    private static $instance;

    /**
     * @return self
     * @since 1.0.0
     */
    final public static function init(): self
    {
        if (! self::$instance) {
            self::$instance = new self();
        }
        return self::$instance;
    }
}
